gyp verbo `which` falló Error: no encontrado: python2

Gyp Verb Which Failed Error

Después de la instalación de npm, el proyecto no se puede ejecutar

La excepción es la siguiente:



|_+_|
  • Instale el comando gyp npm install -g node-gyp
  • instalación Python 2.7gyp verb check python checking for Python executable 'python2' in the PATH gyp verb `which` failed Error: not found: python2 gyp verb `which` failed at getNotFoundError (F:company_projectxiexin runkappxxsdapp ode_moduleswhichwhich.js:13:12) gyp verb `which` failed at F (F:company_projectxiexin runkappxxsdapp ode_moduleswhichwhich.js:68:19) gyp verb `which` failed at E (F:company_projectxiexin runkappxxsdapp ode_moduleswhichwhich.js:80:29) gyp verb `which` failed at F:company_projectxiexin runkappxxsdapp ode_moduleswhichwhich.js:89:16 gyp verb `which` failed at F:company_projectxiexin runkappxxsdapp ode_modulesisexeindex.js:42:5 gyp verb `which` failed at F:company_projectxiexin runkappxxsdapp ode_modulesisexewindows.js:36:5 gyp verb `which` failed at FSReqWrap.oncomplete (fs.js:154:21) gyp verb `which` failed python2 { Error: not found: python2 gyp verb `which` failed at getNotFoundError (F:company_projectxiexin runkappxxsdapp ode_moduleswhichwhich.js:13:12) gyp verb `which` failed at F (F:company_projectxiexin runkappxxsdapp ode_moduleswhichwhich.js:68:19) gyp verb `which` failed at E (F:company_projectxiexin runkappxxsdapp ode_moduleswhichwhich.js:80:29) gyp verb `which` failed at F:company_projectxiexin runkappxxsdapp ode_moduleswhichwhich.js:89:16 gyp verb `which` failed at F:company_projectxiexin runkappxxsdapp ode_modulesisexeindex.js:42:5 gyp verb `which` failed at F:company_projectxiexin runkappxxsdapp ode_modulesisexewindows.js:36:5 gyp verb `which` failed at FSReqWrap.oncomplete (fs.js:154:21) gyp verb `which` failed stack: gyp verb `which` failed 'Error: not found: python2 at getNotFoundError (F:\company_project\xiexin\trunk\app\xxsdapp\node_modules\which\which.js:13:12) at F (F:\com pany_project\xiexin\trunk\app\xxsdapp\node_modules\which\which.js:68:19) at E (F:\company_project\xiexin\trunk\app\xxsdapp\node_modules\which\which.js:80:29) at F:\company_project\xiexin\trunk\app\xxsdapp\node_modules\which\which.js:89:16 at F:\company_project\xiexin\trunk\app\xxsdapp\node_modules\isexe\index.js:42:5 at F:\company_project\xiexin\trunk\app\xxsdapp\node_modules\isexe\windows.js:36:5 at FSReqWrap.oncomplete (fs.js:154:21)', gyp verb `which` failed code: 'ENOENT' } gyp verb check python checking for Python executable 'python' in the PATH gyp verb `which` succeeded python C:Python27python.EXE gyp verb check python version `C:Python27python.EXE -c 'import sys print '2.7.15 gyp verb check python version .%s.%s' % sys.version_info[:3]'` returned: %j gyp verb get node dir no --target version specified, falling back to host node version: 10.15.0 gyp verb command install [ '10.15.0' ] gyp verb install input version string '10.15.0' gyp verb install installing version: 10.15.0 gyp verb install --ensure was passed, so won't reinstall if already installed gyp verb install version is already installed, need to check 'installVersion' gyp verb got 'installVersion' 9 gyp verb needs 'installVersion' 9 gyp verb install version is good gyp verb get node dir target node version installed: 10.15.0 gyp verb build dir attempting to create 'build' dir: F:company_projectxiexin runkappxxsdapp ode_modules ode-sassuild gyp verb build dir 'build' dir needed to be created? F:company_projectxiexin runkappxxsdapp ode_modules ode-sassuild gyp verb Not using VS2017: Could not use PowerShell to find VS2017 gyp verb build/config.gypi creating config file gyp verb build/config.gypi writing out config file: F:company_projectxiexin runkappxxsdapp ode_modules ode-sassuildconfig.gypi gyp verb config.gypi checking for gypi file: F:company_projectxiexin runkappxxsdapp ode_modules ode-sassconfig.gypi gyp verb common.gypi checking for gypi file: F:company_projectxiexin runkappxxsdapp ode_modules ode-sasscommon.gypi gyp verb gyp gyp format was not specified forcing 'msvs' gyp info spawn C:Python27python.EXE gyp info spawn args [ 'F:\company_project\xiexin\trunk\app\xxsdapp\node_modules\node-Dnode_gyp_dir=F:\company_project\xiexin\trunk\app\xxsdapp\node_modules\node-gyp', gyp info spawn args '-Dnode_lib_file=C:\Users\curry\.node-gyp\10.15.0\ (_src_ libsass target)-> MSBUILD: error MSB3428: The Visual C ++ component 'VCBuild.exe' could not be loaded. To solve this problem, 1) install the .NET Framework 2.0 SDK 2) install Microsoft Visual Studio 2005 or 3) if the component is installed to another location Please add its location to the system path. [F: company_project xiexin runkappxxsdapp ode_modules ode-sassuildinding.sln] 0 warnings 1 error Elapsed time 00: 00: 00.27 gyp ERR! build error gyp ERR! stack Error: `C:WindowsMicrosoft.NETFrameworkv4.0.30319msbuild.exe` failed with exit code: 1 gyp ERR! stack at ChildProcess.onExit (F:company_projectxiexin runkappxxsdapp ode_modules ode-gyplibuild.js:262:23) gyp ERR! stack at ChildProcess.emit (events.js:182:13) gyp ERR! stack at Process.ChildProcess._handle.onexit (internal/child_process.js:240:12) gyp ERR! System Windows_NT 6.1.7601 gyp ERR! command 'C:\Program Files\nodejs\node.exe' 'F:\company_project\xiexin\trunk\app\xxsdapp\node_modules\node-gyp\bin\node-gyp.js' 'rebuild' '--verbose' '--libsass_ext= ' '--libsass_cflags=' '--libsass_ldflags=' '--libsass_library=' gyp ERR! cwd F:company_projectxiexin runkappxxsdapp ode_modules ode-sass gyp ERR! node -v v10.15.0 gyp ERR! node-gyp -v v3.8.0 gyp ERR! not ok No admitido), las variables de entorno deben configurarse después de la instalación. Ejecutar después del éxito v3.x.x
  • realizado npm config set python python2.7